# FoundationClasses
TKernel
TColStd

# TColStd_HSequenceOfAsciiString Class Reference

`#include <TColStd_HSequenceOfAsciiString.hxx>`

Inheritance diagram for TColStd_HSequenceOfAsciiString:

[legend]

## Public Member Functions

| TColStd_HSequenceOfAsciiString ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const TCollection_AsciiString &anItem)
Standard_EXPORT void | Append (const Handle(TColStd_HSequenceOfAsciiString)&aSequence)
Standard_EXPORT void | Prepend (const TCollection_AsciiString &anItem)
Standard_EXPORT void | Prepend (const Handle(TColStd_HSequenceOfAsciiString)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const TCollection_AsciiString &anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(TColStd_HSequenceOfAsciiString)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const TCollection_AsciiString &anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(TColStd_HSequenceOfAsciiString)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_TColStd_HSequenceOfAsciiString | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const TCollection_AsciiString &anItem)
Standard_EXPORT const TCollection_AsciiString & | Value (const Standard_Integer anIndex) const
Standard_EXPORT TCollection_AsciiString & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const TColStd_SequenceOfAsciiString & | Sequence () const
TColStd_SequenceOfAsciiString & | ChangeSequence ()
Standard_EXPORT Handle_TColStd_HSequenceOfAsciiString | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TColStd_SequenceOfAsciiString | mySequence

## Constructor & Destructor Documentation

TColStd_HSequenceOfAsciiString::TColStd_HSequenceOfAsciiString | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void TColStd_HSequenceOfAsciiString::Append | ( | const Handle(TColStd_HSequenceOfAsciiString)& | aSequence | ) |

Standard_EXPORT void TColStd_HSequenceOfAsciiString::Append | ( | const TCollection_AsciiString & | anItem | ) |

TColStd_SequenceOfAsciiString& TColStd_HSequenceOfAsciiString::ChangeSequence | ( |  | ) |

Standard_EXPORT TCollection_AsciiString& TColStd_HSequenceOfAsciiString::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void TColStd_HSequenceOfAsciiString::Clear | ( |  | ) |

Standard_EXPORT void TColStd_HSequenceOfAsciiString::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const TColStd_HSequenceOfAsciiString::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT void TColStd_HSequenceOfAsciiString::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(TColStd_HSequenceOfAsciiString)& | aSequence
| ) |

Standard_EXPORT void TColStd_HSequenceOfAsciiString::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const TCollection_AsciiString & | anItem
| ) |

Standard_EXPORT void TColStd_HSequenceOfAsciiString::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(TColStd_HSequenceOfAsciiString)& | aSequence
| ) |

Standard_EXPORT void TColStd_HSequenceOfAsciiString::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const TCollection_AsciiString & | anItem
| ) |

Standard_Boolean TColStd_HSequenceOfAsciiString::IsEmpty | ( |  | ) | const

Standard_Integer TColStd_HSequenceOfAsciiString::Length | ( |  | ) | const

Standard_EXPORT void TColStd_HSequenceOfAsciiString::Prepend | ( | const Handle(TColStd_HSequenceOfAsciiString)& | aSequence | ) |

Standard_EXPORT void TColStd_HSequenceOfAsciiString::Prepend | ( | const TCollection_AsciiString & | anItem | ) |

Standard_EXPORT void TColStd_HSequenceOfAsciiString::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void TColStd_HSequenceOfAsciiString::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void TColStd_HSequenceOfAsciiString::Reverse | ( |  | ) |

const TColStd_SequenceOfAsciiString& TColStd_HSequenceOfAsciiString::Sequence | ( |  | ) | const

Standard_EXPORT void TColStd_HSequenceOfAsciiString::SetValue | ( | const Standard_Integer | anIndex,
|  | const TCollection_AsciiString & | anItem
| ) |

Standard_EXPORT Handle_TColStd_HSequenceOfAsciiString TColStd_HSequenceOfAsciiString::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_TColStd_HSequenceOfAsciiString TColStd_HSequenceOfAsciiString::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const TCollection_AsciiString& TColStd_HSequenceOfAsciiString::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

TColStd_SequenceOfAsciiString TColStd_HSequenceOfAsciiString::mySequence `[private]`

The documentation for this class was generated from the following file:

- TColStd_HSequenceOfAsciiString.hxx